#!/bin/bash

TFTP=$1
MAC=$2
CONFIG=$3

usage()
{
	echo "Usage: $0 <tftp dir> <mac address> <config file>"
	echo "Example: $0 /srv/tftp 00:1a:a0:38:f3:7d Linux32"
	exit 1
}

if [ -z "$3" ] || [ -n "$4" ]
then
	usage
fi

MACSTRING=01-`echo $MAC | sed "s/:/-/g" | tr '[:upper:]' '[:lower:]'`

rm -f ${TFTP}/pxelinux.cfg/${MACSTRING}
ln -s ../config/${CONFIG} ${TFTP}/pxelinux.cfg/${MACSTRING}
